# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Parse-IPCommand
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: List network interfaces from "ip addr show" output
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Parse-IPCommand

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
FUNCTIONS
  list_network_interfaces
    Usage:

     list_network_interfaces(%%args) -> [status, msg, payload, meta]

    List network interfaces from "ip addr show" output.

    If "output" is not specified, will run '/sbin/ip addr show' to get the
    output.

    This function is not exported by default, but exportable.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*
%perl_vendor_privlib/auto/*

%changelog
* Tue Feb 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

